Package org.bukkit.block.data.type

# Enum Class Wall.Height

java.lang.Object
java.lang.Enum<Wall.Height>
org.bukkit.block.data.type.Wall.Height

All Implemented Interfaces:
  `Serializable`, `Comparable<Wall.Height>`, `Constable`

Enclosing interface:
  Wall

public static enum Wall.Height extends Enum<Wall.Height>
The different heights a face of a wall may have.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LOW`
Low wall present.
`NONE`
No wall present.
`TALL`
Tall wall present.

## Method Summary

Modifier and Type
Method
Description
`static Wall.Height`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Wall.Height[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final Wall.Height NONE
No wall present.

### LOW

public static final Wall.Height LOW
Low wall present.

### TALL

public static final Wall.Height TALL
Tall wall present.

## Method Details

### values

public static Wall.Height[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Wall.Height valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null